Subject: bug#503: Let's fork iwd for Devuan

From: Job Bautista <[email-masked]>
Date: Wed, 05 Aug 2020 02:56:46 +0000

Package: iwd
Version: 1.8-1
Severity: grave
Tags: patch
Justification: renders package unusable

Dear Devuan developers,

I had tried all possible routes that would avoid having to fork iwd. I sent a
bug report to the Debian maintainer and asked them to support sysvinit. I
asked upstream to consider supporting multiple inits. Both of them failed.
The upstream made it final that they will only support systemd, and those who
wish to make iwd support sysvinit will have to be done by downstream. So I
would like to volunteer being the maintainer for a Devuan fork of iwd. I was
able to make iwd work in my Chimaera system, thanks to the kind members of
the dev1galaxy.org forum. The VCS of this fork will be located at
https://git.devuan.org/jobbautista9/iwd. As you can see, I already started
forking iwd. The only thing I haven't done yet is to update the changelog,
which I will do shortly after finishing this bug report.

The reason why this bug's severity is grave is because the current version of
this package doesn't start at boot. I could have used severity important if
it exists in Devuan BTS...

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 4 (chimaera/ceres)
Release:	testing/unstable
Codename:	n/a
Architecture: x86_64

Kernel: Linux 5.7.0-2-amd64 (SMP w/4 CPU threads)
Kernel taint flags: TAINT_FIRMWARE_WORKAROUND
Locale: LANG=en_PH.UTF-8, LC_CTYPE=en_PH.UTF-8 (charmap=UTF-8), LANGUAGE=en_PH:en
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages iwd depends on:
ii  libc6         2.31-2
ii  libreadline8  8.0-4

iwd recommends no packages.

iwd suggests no packages.

-- no debconf information